<?php
/*
Plugin Name: Nicer Permalinks for Korean
Plugin URI: http://masterkeykorea.com/nicer-permalinks-for-korean
Description: A simple plugin to remove encoded permalink which directly encoded from title in Korean   
Author: Art Shim <artsilly@gmail.com>
Version: 1.0
Author URI: http://masterkeykorea.com
*/

function korean_romanizer($string) {
	$trans = array(
		'가'=>'ga', '각'=>'gag', '간'=>'gan', '갇'=>'gad', '갈'=>'gal', '갉'=>'galg', '갊'=>'galm', '감'=>'gam',
		'갑'=>'gab', '값'=>'gabs', '갓'=>'gas', '갔'=>'gass', '강'=>'gang', '갖'=>'gaj', '갗'=>'gach', '같'=>'gat',
		'갚'=>'gap', '갛'=>'gah', '개'=>'gae', '객'=>'gaeg', '갠'=>'gaen', '갤'=>'gael', '갬'=>'gaem', '갭'=>'gaeb',
		'갯'=>'gaes', '갰'=>'gaess', '갱'=>'gaeng', '갸'=>'gya', '갹'=>'gyag', '갼'=>'gyan', '걀'=>'gyal', '걋'=>'gyas',
		'걍'=>'gyang', '걔'=>'gyae', '걘'=>'gyaen', '걜'=>'gyael', '거'=>'geo', '걱'=>'geog', '건'=>'geon', '걷'=>'geod',
		'걸'=>'geol', '걺'=>'geolm', '검'=>'geom', '겁'=>'geob', '것'=>'geos', '겄'=>'geoss', '겅'=>'geong', '겆'=>'geoj',
		'겉'=>'geot', '겊'=>'geop', '겋'=>'geoh', '게'=>'ge', '겐'=>'gen', '겔'=>'gel', '겜'=>'gem', '겝'=>'geb',
		'겟'=>'ges', '겠'=>'gess', '겡'=>'geng', '겨'=>'gyeo', '격'=>'gyeog', '겪'=>'gyeogg', '견'=>'gyeon', '겯'=>'gyeod',
		'결'=>'gyeol', '겸'=>'gyeom', '겹'=>'gyeob', '겻'=>'gyeos', '겼'=>'gyeoss', '경'=>'gyeong', '곁'=>'gyeot', '계'=>'gye',
		'곈'=>'gyen', '곌'=>'gyel', '곕'=>'gyeb', '곗'=>'gyes', '고'=>'go', '곡'=>'gog', '곤'=>'gon', '곧'=>'god',
		'골'=>'gol', '곪'=>'golm', '곬'=>'gols', '곯'=>'golh', '곰'=>'gom', '곱'=>'gob', '곳'=>'gos', '공'=>'gong',
		'곶'=>'goj', '과'=>'gwa', '곽'=>'gwag', '관'=>'gwan', '괄'=>'gwal', '괆'=>'gwalm', '괌'=>'gwam', '괍'=>'gwab',
		'괏'=>'gwas', '광'=>'gwang', '괘'=>'gwae', '괜'=>'gwaen', '괠'=>'gwael', '괩'=>'gwaeb', '괬'=>'gwaess', '괭'=>'gwaeng',
		'괴'=>'goe', '괵'=>'goeg', '괸'=>'goen', '괼'=>'goel', '굄'=>'goem', '굅'=>'goeb', '굇'=>'goes', '굉'=>'goeng',
		'교'=>'gyo', '굔'=>'gyon', '굘'=>'gyol', '굡'=>'gyob', '굣'=>'gyos', '구'=>'gu', '국'=>'gug', '군'=>'gun',
		'굳'=>'gud', '굴'=>'gul', '굵'=>'gulg', '굶'=>'gulm', '굻'=>'gulh', '굼'=>'gum', '굽'=>'gub', '굿'=>'gus',
		'궁'=>'gung', '궂'=>'guj', '궈'=>'gwo', '궉'=>'gwog', '권'=>'gwon', '궐'=>'gwol', '궜'=>'gwoss', '궝'=>'gwong',
		'궤'=>'gwe', '궷'=>'gwes', '귀'=>'gwi', '귁'=>'gwig', '귄'=>'gwin', '귈'=>'gwil', '귐'=>'gwim', '귑'=>'gwib',
		'귓'=>'gwis', '규'=>'gyu', '균'=>'gyun', '귤'=>'gyul', '그'=>'geu', '극'=>'geug', '근'=>'geun', '귿'=>'geud',
		'글'=>'geul', '긁'=>'geulg', '금'=>'geum', '급'=>'geub', '긋'=>'geus', '긍'=>'geung', '긔'=>'gui', '기'=>'gi',
		'긱'=>'gig', '긴'=>'gin', '긷'=>'gid', '길'=>'gil', '긺'=>'gilm', '김'=>'gim', '깁'=>'gib', '깃'=>'gis',
		'깅'=>'ging', '깆'=>'gij', '깊'=>'gip', '까'=>'gga', '깍'=>'ggag', '깎'=>'ggagg', '깐'=>'ggan', '깔'=>'ggal',
		'깖'=>'ggalm', '깜'=>'ggam', '깝'=>'ggab', '깟'=>'ggas', '깠'=>'ggass', '깡'=>'ggang', '깥'=>'ggat', '깨'=>'ggae',
		'깩'=>'ggaeg', '깬'=>'ggaen', '깰'=>'ggael', '깸'=>'ggaem', '깹'=>'ggaeb', '깻'=>'ggaes', '깼'=>'ggaess', '깽'=>'ggaeng',
		'꺄'=>'ggya', '꺅'=>'ggyag', '꺌'=>'ggyal', '꺼'=>'ggeo', '꺽'=>'ggeog', '꺾'=>'ggeogg', '껀'=>'ggeon', '껄'=>'ggeol',
		'껌'=>'ggeom', '껍'=>'ggeob', '껏'=>'ggeos', '껐'=>'ggeoss', '껑'=>'ggeong', '께'=>'gge', '껙'=>'ggeg', '껜'=>'ggen',
		'껨'=>'ggem', '껫'=>'gges', '껭'=>'ggeng', '껴'=>'ggyeo', '껸'=>'ggyeon', '껼'=>'ggyeol', '꼇'=>'ggyeos', '꼈'=>'ggyeoss',
		'꼍'=>'ggyeot', '꼐'=>'ggye', '꼬'=>'ggo', '꼭'=>'ggog', '꼰'=>'ggon', '꼲'=>'ggonh', '꼴'=>'ggol', '꼼'=>'ggom',
		'꼽'=>'ggob', '꼿'=>'ggos', '꽁'=>'ggong', '꽂'=>'ggoj', '꽃'=>'ggoch', '꽈'=>'ggwa', '꽉'=>'ggwag', '꽐'=>'ggwal',
		'꽜'=>'ggwass', '꽝'=>'ggwang', '꽤'=>'ggwae', '꽥'=>'ggwaeg', '꽹'=>'ggwaeng', '꾀'=>'ggoe', '꾄'=>'ggoen', '꾈'=>'ggoel',
		'꾐'=>'ggoem', '꾑'=>'ggoeb', '꾕'=>'ggoeng', '꾜'=>'ggyo', '꾸'=>'ggu', '꾹'=>'ggug', '꾼'=>'ggun', '꿀'=>'ggul',
		'꿇'=>'ggulh', '꿈'=>'ggum', '꿉'=>'ggub', '꿋'=>'ggus', '꿍'=>'ggung', '꿎'=>'gguj', '꿔'=>'ggwo', '꿜'=>'ggwol',
		'꿨'=>'ggwoss', '꿩'=>'ggwong', '꿰'=>'ggwe', '꿱'=>'ggweg', '꿴'=>'ggwen', '꿸'=>'ggwel', '뀀'=>'ggwem', '뀁'=>'ggweb',
		'뀄'=>'ggwess', '뀌'=>'ggwi', '뀐'=>'ggwin', '뀔'=>'ggwil', '뀜'=>'ggwim', '뀝'=>'ggwib', '뀨'=>'ggyu', '끄'=>'ggeu',
		'끅'=>'ggeug', '끈'=>'ggeun', '끊'=>'ggeunh', '끌'=>'ggeul', '끎'=>'ggeulm', '끓'=>'ggeulh', '끔'=>'ggeum', '끕'=>'ggeub',
		'끗'=>'ggeus', '끙'=>'ggeung', '끝'=>'ggeut', '끼'=>'ggi', '끽'=>'ggig', '낀'=>'ggin', '낄'=>'ggil', '낌'=>'ggim',
		'낍'=>'ggib', '낏'=>'ggis', '낑'=>'gging', '나'=>'na', '낙'=>'nag', '낚'=>'nagg', '난'=>'nan', '낟'=>'nad',
		'날'=>'nal', '낡'=>'nalg', '낢'=>'nalm', '남'=>'nam', '납'=>'nab', '낫'=>'nas', '났'=>'nass', '낭'=>'nang',
		'낮'=>'naj', '낯'=>'nach', '낱'=>'nat', '낳'=>'nah', '내'=>'nae', '낵'=>'naeg', '낸'=>'naen', '낼'=>'nael',
		'냄'=>'naem', '냅'=>'naeb', '냇'=>'naes', '냈'=>'naess', '냉'=>'naeng', '냐'=>'nya', '냑'=>'nyag', '냔'=>'nyan',
		'냘'=>'nyal', '냠'=>'nyam', '냥'=>'nyang', '너'=>'neo', '넉'=>'neog', '넋'=>'neogs', '넌'=>'neon', '널'=>'neol',
		'넒'=>'neolm', '넓'=>'neolb', '넘'=>'neom', '넙'=>'neob', '넛'=>'neos', '넜'=>'neoss', '넝'=>'neong', '넣'=>'neoh',
		'네'=>'ne', '넥'=>'neg', '넨'=>'nen', '넬'=>'nel', '넴'=>'nem', '넵'=>'neb', '넷'=>'nes', '넸'=>'ness',
		'넹'=>'neng', '녀'=>'nyeo', '녁'=>'nyeog', '년'=>'nyeon', '녈'=>'nyeol', '념'=>'nyeom', '녑'=>'nyeob', '녔'=>'nyeoss',
		'녕'=>'nyeong', '녘'=>'nyeok', '녜'=>'nye', '녠'=>'nyen', '노'=>'no', '녹'=>'nog', '논'=>'non', '놀'=>'nol',
		'놂'=>'nolm', '놈'=>'nom', '놉'=>'nob', '놋'=>'nos', '농'=>'nong', '높'=>'nop', '놓'=>'noh', '놔'=>'nwa',
		'놘'=>'nwan', '놜'=>'nwal', '놨'=>'nwass', '뇌'=>'noe', '뇐'=>'noen', '뇔'=>'noel', '뇜'=>'noem', '뇝'=>'noeb',
		'뇟'=>'noes', '뇨'=>'nyo', '뇩'=>'nyog', '뇬'=>'nyon', '뇰'=>'nyol', '뇹'=>'nyob', '뇻'=>'nyos', '뇽'=>'nyong',
		'누'=>'nu', '눅'=>'nug', '눈'=>'nun', '눋'=>'nud', '눌'=>'nul', '눔'=>'num', '눕'=>'nub', '눗'=>'nus',
		'눙'=>'nung', '눠'=>'nwo', '눴'=>'nwoss', '눼'=>'nwe', '뉘'=>'nwi', '뉜'=>'nwin', '뉠'=>'nwil', '뉨'=>'nwim',
		'뉩'=>'nwib', '뉴'=>'nyu', '뉵'=>'nyug', '뉼'=>'nyul', '늄'=>'nyum', '늅'=>'nyub', '늉'=>'nyung', '느'=>'neu',
		'늑'=>'neug', '는'=>'neun', '늘'=>'neul', '늙'=>'neulg', '늚'=>'neulm', '늠'=>'neum', '늡'=>'neub', '늣'=>'neus',
		'능'=>'neung', '늦'=>'neuj', '늪'=>'neup', '늬'=>'nui', '늰'=>'nuin', '늴'=>'nuil', '니'=>'ni', '닉'=>'nig',
		'닌'=>'nin', '닐'=>'nil', '닒'=>'nilm', '님'=>'nim', '닙'=>'nib', '닛'=>'nis', '닝'=>'ning', '닢'=>'nip',
		'다'=>'da', '닥'=>'dag', '닦'=>'dagg', '단'=>'dan', '닫'=>'dad', '달'=>'dal', '닭'=>'dalg', '닮'=>'dalm',
		'닯'=>'dalb', '닳'=>'dalh', '담'=>'dam', '답'=>'dab', '닷'=>'das', '닸'=>'dass', '당'=>'dang', '닺'=>'daj',
		'닻'=>'dach', '닿'=>'dah', '대'=>'dae', '댁'=>'daeg', '댄'=>'daen', '댈'=>'dael', '댐'=>'daem', '댑'=>'daeb',
		'댓'=>'daes', '댔'=>'daess', '댕'=>'daeng', '댜'=>'dya', '더'=>'deo', '덕'=>'deog', '덖'=>'deogg', '던'=>'deon',
		'덛'=>'deod', '덜'=>'deol', '덞'=>'deolm', '덟'=>'deolb', '덤'=>'deom', '덥'=>'deob', '덧'=>'deos', '덩'=>'deong',
		'덫'=>'deoch', '덮'=>'deop', '데'=>'de', '덱'=>'deg', '덴'=>'den', '델'=>'del', '뎀'=>'dem', '뎁'=>'deb',
		'뎃'=>'des', '뎄'=>'dess', '뎅'=>'deng', '뎌'=>'dyeo', '뎐'=>'dyeon', '뎔'=>'dyeol', '뎠'=>'dyeoss', '뎡'=>'dyeong',
		'뎨'=>'dye', '뎬'=>'dyen', '도'=>'do', '독'=>'dog', '돈'=>'don', '돋'=>'dod', '돌'=>'dol', '돎'=>'dolm',
		'돐'=>'dols', '돔'=>'dom', '돕'=>'dob', '돗'=>'dos', '동'=>'dong', '돛'=>'doch', '돝'=>'dot', '돠'=>'dwa',
		'돤'=>'dwan', '돨'=>'dwal', '돼'=>'dwae', '됐'=>'dwaess', '되'=>'doe', '된'=>'doen', '될'=>'doel', '됨'=>'doem',
		'됩'=>'doeb', '됫'=>'does', '됴'=>'dyo', '두'=>'du', '둑'=>'dug', '둔'=>'dun', '둘'=>'dul', '둠'=>'dum',
		'둡'=>'dub', '둣'=>'dus', '둥'=>'dung', '둬'=>'dwo', '뒀'=>'dwoss', '뒈'=>'dwe', '뒝'=>'dweng', '뒤'=>'dwi',
		'뒨'=>'dwin', '뒬'=>'dwil', '뒵'=>'dwib', '뒷'=>'dwis', '뒹'=>'dwing', '듀'=>'dyu', '듄'=>'dyun', '듈'=>'dyul',
		'듐'=>'dyum', '듕'=>'dyung', '드'=>'deu', '득'=>'deug', '든'=>'deun', '듣'=>'deud', '들'=>'deul', '듦'=>'deulm',
		'듬'=>'deum', '듭'=>'deub', '듯'=>'deus', '등'=>'deung', '듸'=>'dui', '디'=>'di', '딕'=>'dig', '딘'=>'din',
		'딛'=>'did', '딜'=>'dil', '딤'=>'dim', '딥'=>'dib', '딧'=>'dis', '딨'=>'diss', '딩'=>'ding', '딪'=>'dij',
		'따'=>'dda', '딱'=>'ddag', '딴'=>'ddan', '딸'=>'ddal', '땀'=>'ddam', '땁'=>'ddab', '땃'=>'ddas', '땄'=>'ddass',
		'땅'=>'ddang', '땋'=>'ddah', '때'=>'ddae', '땍'=>'ddaeg', '땐'=>'ddaen', '땔'=>'ddael', '땜'=>'ddaem', '땝'=>'ddaeb',
		'땟'=>'ddaes', '땠'=>'ddaess', '땡'=>'ddaeng', '떠'=>'ddeo', '떡'=>'ddeog', '떤'=>'ddeon', '떨'=>'ddeol', '떪'=>'ddeolm',
		'떫'=>'ddeolb', '떰'=>'ddeom', '떱'=>'ddeob', '떳'=>'ddeos', '떴'=>'ddeoss', '떵'=>'ddeong', '떻'=>'ddeoh', '떼'=>'dde',
		'떽'=>'ddeg', '뗀'=>'dden', '뗄'=>'ddel', '뗌'=>'ddem', '뗍'=>'ddeb', '뗏'=>'ddes', '뗐'=>'ddess', '뗑'=>'ddeng',
		'뗘'=>'ddyeo', '뗬'=>'ddyeoss', '또'=>'ddo', '똑'=>'ddog', '똔'=>'ddon', '똘'=>'ddol', '똥'=>'ddong', '똬'=>'ddwa',
		'똴'=>'ddwal', '뙈'=>'ddwae', '뙤'=>'ddoe', '뙨'=>'ddoen', '뚜'=>'ddu', '뚝'=>'ddug', '뚠'=>'ddun', '뚤'=>'ddul',
		'뚫'=>'ddulh', '뚬'=>'ddum', '뚱'=>'ddung', '뛔'=>'ddwe', '뛰'=>'ddwi', '뛴'=>'ddwin', '뛸'=>'ddwil', '뜀'=>'ddwim',
		'뜁'=>'ddwib', '뜅'=>'ddwing', '뜨'=>'ddeu', '뜩'=>'ddeug', '뜬'=>'ddeun', '뜯'=>'ddeud', '뜰'=>'ddeul', '뜸'=>'ddeum',
		'뜹'=>'ddeub', '뜻'=>'ddeus', '띄'=>'ddui', '띈'=>'dduin', '띌'=>'dduil', '띔'=>'dduim', '띕'=>'dduib', '띠'=>'ddi',
		'띤'=>'ddin', '띨'=>'ddil', '띰'=>'ddim', '띱'=>'ddib', '띳'=>'ddis', '띵'=>'dding', '라'=>'la', '락'=>'lag',
		'란'=>'lan', '랄'=>'lal', '람'=>'lam', '랍'=>'lab', '랏'=>'las', '랐'=>'lass', '랑'=>'lang', '랒'=>'laj',
		'랖'=>'lap', '랗'=>'lah', '래'=>'lae', '랙'=>'laeg', '랜'=>'laen', '랠'=>'lael', '램'=>'laem', '랩'=>'laeb',
		'랫'=>'laes', '랬'=>'laess', '랭'=>'laeng', '랴'=>'lya', '략'=>'lyag', '랸'=>'lyan', '럇'=>'lyas', '량'=>'lyang',
		'러'=>'leo', '럭'=>'leog', '런'=>'leon', '럴'=>'leol', '럼'=>'leom', '럽'=>'leob', '럿'=>'leos', '렀'=>'leoss',
		'렁'=>'leong', '렇'=>'leoh', '레'=>'le', '렉'=>'leg', '렌'=>'len', '렐'=>'lel', '렘'=>'lem', '렙'=>'leb',
		'렛'=>'les', '렝'=>'leng', '려'=>'lyeo', '력'=>'lyeog', '련'=>'lyeon', '렬'=>'lyeol', '렴'=>'lyeom', '렵'=>'lyeob',
		'렷'=>'lyeos', '렸'=>'lyeoss', '령'=>'lyeong', '례'=>'lye', '롄'=>'lyen', '롑'=>'lyeb', '롓'=>'lyes', '로'=>'lo',
		'록'=>'log', '론'=>'lon', '롤'=>'lol', '롬'=>'lom', '롭'=>'lob', '롯'=>'los', '롱'=>'long', '롸'=>'lwa',
		'롼'=>'lwan', '뢍'=>'lwang', '뢨'=>'lwaess', '뢰'=>'loe', '뢴'=>'loen', '뢸'=>'loel', '룀'=>'loem', '룁'=>'loeb',
		'룃'=>'loes', '룅'=>'loeng', '료'=>'lyo', '룐'=>'lyon', '룔'=>'lyol', '룝'=>'lyob', '룟'=>'lyos', '룡'=>'lyong',
		'루'=>'lu', '룩'=>'lug', '룬'=>'lun', '룰'=>'lul', '룸'=>'lum', '룹'=>'lub', '룻'=>'lus', '룽'=>'lung',
		'뤄'=>'lwo', '뤘'=>'lwoss', '뤠'=>'lwe', '뤼'=>'lwi', '뤽'=>'lwig', '륀'=>'lwin', '륄'=>'lwil', '륌'=>'lwim',
		'륏'=>'lwis', '륑'=>'lwing', '류'=>'lyu', '륙'=>'lyug', '륜'=>'lyun', '률'=>'lyul', '륨'=>'lyum', '륩'=>'lyub',
		'륫'=>'lyus', '륭'=>'lyung', '르'=>'leu', '륵'=>'leug', '른'=>'leun', '를'=>'leul', '름'=>'leum', '릅'=>'leub',
		'릇'=>'leus', '릉'=>'leung', '릊'=>'leuj', '릍'=>'leut', '릎'=>'leup', '리'=>'li', '릭'=>'lig', '린'=>'lin',
		'릴'=>'lil', '림'=>'lim', '립'=>'lib', '릿'=>'lis', '링'=>'ling', '마'=>'ma', '막'=>'mag', '만'=>'man',
		'많'=>'manh', '맏'=>'mad', '말'=>'mal', '맑'=>'malg', '맒'=>'malm', '맘'=>'mam', '맙'=>'mab', '맛'=>'mas',
		'망'=>'mang', '맞'=>'maj', '맡'=>'mat', '맣'=>'mah', '매'=>'mae', '맥'=>'maeg', '맨'=>'maen', '맬'=>'mael',
		'맴'=>'maem', '맵'=>'maeb', '맷'=>'maes', '맸'=>'maess', '맹'=>'maeng', '맺'=>'maej', '먀'=>'mya', '먁'=>'myag',
		'먈'=>'myal', '먕'=>'myang', '머'=>'meo', '먹'=>'meog', '먼'=>'meon', '멀'=>'meol', '멂'=>'meolm', '멈'=>'meom',
		'멉'=>'meob', '멋'=>'meos', '멍'=>'meong', '멎'=>'meoj', '멓'=>'meoh', '메'=>'me', '멕'=>'meg', '멘'=>'men',
		'멜'=>'mel', '멤'=>'mem', '멥'=>'meb', '멧'=>'mes', '멨'=>'mess', '멩'=>'meng', '며'=>'myeo', '멱'=>'myeog',
		'면'=>'myeon', '멸'=>'myeol', '몃'=>'myeos', '몄'=>'myeoss', '명'=>'myeong', '몇'=>'myeoch', '몌'=>'mye', '모'=>'mo',
		'목'=>'mog', '몫'=>'mogs', '몬'=>'mon', '몰'=>'mol', '몲'=>'molm', '몸'=>'mom', '몹'=>'mob', '못'=>'mos',
		'몽'=>'mong', '뫄'=>'mwa', '뫈'=>'mwan', '뫘'=>'mwass', '뫙'=>'mwang', '뫼'=>'moe', '묀'=>'moen', '묄'=>'moel',
		'묍'=>'moeb', '묏'=>'moes', '묑'=>'moeng', '묘'=>'myo', '묜'=>'myon', '묠'=>'myol', '묩'=>'myob', '묫'=>'myos',
		'무'=>'mu', '묵'=>'mug', '묶'=>'mugg', '문'=>'mun', '묻'=>'mud', '물'=>'mul', '묽'=>'mulg', '묾'=>'mulm',
		'뭄'=>'mum', '뭅'=>'mub', '뭇'=>'mus', '뭉'=>'mung', '뭍'=>'mut', '뭏'=>'muh', '뭐'=>'mwo', '뭔'=>'mwon',
		'뭘'=>'mwol', '뭡'=>'mwob', '뭣'=>'mwos', '뭬'=>'mwe', '뮈'=>'mwi', '뮌'=>'mwin', '뮐'=>'mwil', '뮤'=>'myu',
		'뮨'=>'myun', '뮬'=>'myul', '뮴'=>'myum', '뮷'=>'myus', '므'=>'meu', '믄'=>'meun', '믈'=>'meul', '믐'=>'meum',
		'믓'=>'meus', '미'=>'mi', '믹'=>'mig', '민'=>'min', '믿'=>'mid', '밀'=>'mil', '밂'=>'milm', '밈'=>'mim',
		'밉'=>'mib', '밋'=>'mis', '밌'=>'miss', '밍'=>'ming', '및'=>'mich', '밑'=>'mit', '바'=>'ba', '박'=>'bag',
		'밖'=>'bagg', '밗'=>'bags', '반'=>'ban', '받'=>'bad', '발'=>'bal', '밝'=>'balg', '밞'=>'balm', '밟'=>'balb',
		'밤'=>'bam', '밥'=>'bab', '밧'=>'bas', '방'=>'bang', '밭'=>'bat', '배'=>'bae', '백'=>'baeg', '밴'=>'baen',
		'밸'=>'bael', '뱀'=>'baem', '뱁'=>'baeb', '뱃'=>'baes', '뱄'=>'baess', '뱅'=>'baeng', '뱉'=>'baet', '뱌'=>'bya',
		'뱍'=>'byag', '뱐'=>'byan', '뱝'=>'byab', '버'=>'beo', '벅'=>'beog', '번'=>'beon', '벋'=>'beod', '벌'=>'beol',
		'벎'=>'beolm', '범'=>'beom', '법'=>'beob', '벗'=>'beos', '벙'=>'beong', '벚'=>'beoj', '베'=>'be', '벡'=>'beg',
		'벤'=>'ben', '벧'=>'bed', '벨'=>'bel', '벰'=>'bem', '벱'=>'beb', '벳'=>'bes', '벴'=>'bess', '벵'=>'beng',
		'벼'=>'byeo', '벽'=>'byeog', '변'=>'byeon', '별'=>'byeol', '볍'=>'byeob', '볏'=>'byeos', '볐'=>'byeoss', '병'=>'byeong',
		'볕'=>'byeot', '볘'=>'bye', '볜'=>'byen', '보'=>'bo', '복'=>'bog', '볶'=>'bogg', '본'=>'bon', '볼'=>'bol',
		'봄'=>'bom', '봅'=>'bob', '봇'=>'bos', '봉'=>'bong', '봐'=>'bwa', '봔'=>'bwan', '봤'=>'bwass', '봬'=>'bwae',
		'뵀'=>'bwaess', '뵈'=>'boe', '뵉'=>'boeg', '뵌'=>'boen', '뵐'=>'boel', '뵘'=>'boem', '뵙'=>'boeb', '뵤'=>'byo',
		'뵨'=>'byon', '부'=>'bu', '북'=>'bug', '분'=>'bun', '붇'=>'bud', '불'=>'bul', '붉'=>'bulg', '붊'=>'bulm',
		'붐'=>'bum', '붑'=>'bub', '붓'=>'bus', '붕'=>'bung', '붙'=>'but', '붚'=>'bup', '붜'=>'bwo', '붤'=>'bwol',
		'붰'=>'bwoss', '붸'=>'bwe', '뷔'=>'bwi', '뷕'=>'bwig', '뷘'=>'bwin', '뷜'=>'bwil', '뷩'=>'bwing', '뷰'=>'byu',
		'뷴'=>'byun', '뷸'=>'byul', '븀'=>'byum', '븃'=>'byus', '븅'=>'byung', '브'=>'beu', '븍'=>'beug', '븐'=>'beun',
		'블'=>'beul', '븜'=>'beum', '븝'=>'beub', '븟'=>'beus', '비'=>'bi', '빅'=>'big', '빈'=>'bin', '빌'=>'bil',
		'빎'=>'bilm', '빔'=>'bim', '빕'=>'bib', '빗'=>'bis', '빙'=>'bing', '빚'=>'bij', '빛'=>'bich', '빠'=>'bba',
		'빡'=>'bbag', '빤'=>'bban', '빨'=>'bbal', '빪'=>'bbalm', '빰'=>'bbam', '빱'=>'bbab', '빳'=>'bbas', '빴'=>'bbass',
		'빵'=>'bbang', '빻'=>'bbah', '빼'=>'bbae', '빽'=>'bbaeg', '뺀'=>'bbaen', '뺄'=>'bbael', '뺌'=>'bbaem', '뺍'=>'bbaeb',
		'뺏'=>'bbaes', '뺐'=>'bbaess', '뺑'=>'bbaeng', '뺘'=>'bbya', '뺙'=>'bbyag', '뺨'=>'bbyam', '뻐'=>'bbeo', '뻑'=>'bbeog',
		'뻔'=>'bbeon', '뻗'=>'bbeod', '뻘'=>'bbeol', '뻠'=>'bbeom', '뻣'=>'bbeos', '뻤'=>'bbeoss', '뻥'=>'bbeong', '뻬'=>'bbe',
		'뼁'=>'bbeng', '뼈'=>'bbyeo', '뼉'=>'bbyeog', '뼘'=>'bbyeom', '뼙'=>'bbyeob', '뼛'=>'bbyeos', '뼜'=>'bbyeoss', '뼝'=>'bbyeong',
		'뽀'=>'bbo', '뽁'=>'bbog', '뽄'=>'bbon', '뽈'=>'bbol', '뽐'=>'bbom', '뽑'=>'bbob', '뽕'=>'bbong', '뾔'=>'bboe',
		'뾰'=>'bbyo', '뿅'=>'bbyong', '뿌'=>'bbu', '뿍'=>'bbug', '뿐'=>'bbun', '뿔'=>'bbul', '뿜'=>'bbum', '뿟'=>'bbus',
		'뿡'=>'bbung', '쀼'=>'bbyu', '쁑'=>'bbyung', '쁘'=>'bbeu', '쁜'=>'bbeun', '쁠'=>'bbeul', '쁨'=>'bbeum', '쁩'=>'bbeub',
		'삐'=>'bbi', '삑'=>'bbig', '삔'=>'bbin', '삘'=>'bbil', '삠'=>'bbim', '삡'=>'bbib', '삣'=>'bbis', '삥'=>'bbing',
		'사'=>'sa', '삭'=>'sag', '삯'=>'sags', '산'=>'san', '삳'=>'sad', '살'=>'sal', '삵'=>'salg', '삶'=>'salm',
		'삼'=>'sam', '삽'=>'sab', '삿'=>'sas', '샀'=>'sass', '상'=>'sang', '샅'=>'sat', '새'=>'sae', '색'=>'saeg',
		'샌'=>'saen', '샐'=>'sael', '샘'=>'saem', '샙'=>'saeb', '샛'=>'saes', '샜'=>'saess', '생'=>'saeng', '샤'=>'sya',
		'샥'=>'syag', '샨'=>'syan', '샬'=>'syal', '샴'=>'syam', '샵'=>'syab', '샷'=>'syas', '샹'=>'syang', '섀'=>'syae',
		'섄'=>'syaen', '섈'=>'syael', '섐'=>'syaem', '섕'=>'syaeng', '서'=>'seo', '석'=>'seog', '섞'=>'seogg', '섟'=>'seogs',
		'선'=>'seon', '섣'=>'seod', '설'=>'seol', '섦'=>'seolm', '섧'=>'seolb', '섬'=>'seom', '섭'=>'seob', '섯'=>'seos',
		'섰'=>'seoss', '성'=>'seong', '섶'=>'seop', '세'=>'se', '섹'=>'seg', '센'=>'sen', '셀'=>'sel', '셈'=>'sem',
		'셉'=>'seb', '셋'=>'ses', '셌'=>'sess', '셍'=>'seng', '셔'=>'syeo', '셕'=>'syeog', '션'=>'syeon', '셜'=>'syeol',
		'셤'=>'syeom', '셥'=>'syeob', '셧'=>'syeos', '셨'=>'syeoss', '셩'=>'syeong', '셰'=>'sye', '셴'=>'syen', '셸'=>'syel',
		'솅'=>'syeng', '소'=>'so', '속'=>'sog', '솎'=>'sogg', '손'=>'son', '솔'=>'sol', '솖'=>'solm', '솜'=>'som',
		'솝'=>'sob', '솟'=>'sos', '송'=>'song', '솥'=>'sot', '솨'=>'swa', '솩'=>'swag', '솬'=>'swan', '솰'=>'swal',
		'솽'=>'swang', '쇄'=>'swae', '쇈'=>'swaen', '쇌'=>'swael', '쇔'=>'swaem', '쇗'=>'swaes', '쇘'=>'swaess', '쇠'=>'soe',
		'쇤'=>'soen', '쇨'=>'soel', '쇰'=>'soem', '쇱'=>'soeb', '쇳'=>'soes', '쇼'=>'syo', '쇽'=>'syog', '숀'=>'syon',
		'숄'=>'syol', '숌'=>'syom', '숍'=>'syob', '숏'=>'syos', '숑'=>'syong', '수'=>'su', '숙'=>'sug', '순'=>'sun',
		'숟'=>'sud', '술'=>'sul', '숨'=>'sum', '숩'=>'sub', '숫'=>'sus', '숭'=>'sung', '숯'=>'such', '숱'=>'sut',
		'숲'=>'sup', '숴'=>'swo', '쉈'=>'swoss', '쉐'=>'swe', '쉑'=>'sweg', '쉔'=>'swen', '쉘'=>'swel', '쉠'=>'swem',
		'쉥'=>'sweng', '쉬'=>'swi', '쉭'=>'swig', '쉰'=>'swin', '쉴'=>'swil', '쉼'=>'swim', '쉽'=>'swib', '쉿'=>'swis',
		'슁'=>'swing', '슈'=>'syu', '슉'=>'syug', '슐'=>'syul', '슘'=>'syum', '슛'=>'syus', '슝'=>'syung', '스'=>'seu',
		'슥'=>'seug', '슨'=>'seun', '슬'=>'seul', '슭'=>'seulg', '슴'=>'seum', '습'=>'seub', '슷'=>'seus', '승'=>'seung',
		'시'=>'si', '식'=>'sig', '신'=>'sin', '싣'=>'sid', '실'=>'sil', '싫'=>'silh', '심'=>'sim', '십'=>'sib',
		'싯'=>'sis', '싱'=>'sing', '싶'=>'sip', '싸'=>'ssa', '싹'=>'ssag', '싻'=>'ssags', '싼'=>'ssan', '쌀'=>'ssal',
		'쌈'=>'ssam', '쌉'=>'ssab', '쌌'=>'ssass', '쌍'=>'ssang', '쌓'=>'ssah', '쌔'=>'ssae', '쌕'=>'ssaeg', '쌘'=>'ssaen',
		'쌜'=>'ssael', '쌤'=>'ssaem', '쌥'=>'ssaeb', '쌨'=>'ssaess', '쌩'=>'ssaeng', '썅'=>'ssyang', '써'=>'sseo', '썩'=>'sseog',
		'썬'=>'sseon', '썰'=>'sseol', '썲'=>'sseolm', '썸'=>'sseom', '썹'=>'sseob', '썼'=>'sseoss', '썽'=>'sseong', '쎄'=>'sse',
		'쎈'=>'ssen', '쎌'=>'ssel', '쏀'=>'ssyen', '쏘'=>'sso', '쏙'=>'ssog', '쏜'=>'sson', '쏟'=>'ssod', '쏠'=>'ssol',
		'쏢'=>'ssolm', '쏨'=>'ssom', '쏩'=>'ssob', '쏭'=>'ssong', '쏴'=>'sswa', '쏵'=>'sswag', '쏸'=>'sswan', '쐈'=>'sswass',
		'쐐'=>'sswae', '쐤'=>'sswaess', '쐬'=>'ssoe', '쐰'=>'ssoen', '쐴'=>'ssoel', '쐼'=>'ssoem', '쐽'=>'ssoeb', '쑈'=>'ssyo',
		'쑤'=>'ssu', '쑥'=>'ssug', '쑨'=>'ssun', '쑬'=>'ssul', '쑴'=>'ssum', '쑵'=>'ssub', '쑹'=>'ssung', '쒀'=>'sswo',
		'쒔'=>'sswoss', '쒜'=>'sswe', '쒸'=>'sswi', '쒼'=>'sswin', '쓩'=>'ssyung', '쓰'=>'sseu', '쓱'=>'sseug', '쓴'=>'sseun',
		'쓸'=>'sseul', '쓺'=>'sseulm', '쓿'=>'sseulh', '씀'=>'sseum', '씁'=>'sseub', '씌'=>'ssui', '씐'=>'ssuin', '씔'=>'ssuil',
		'씜'=>'ssuim', '씨'=>'ssi', '씩'=>'ssig', '씬'=>'ssin', '씰'=>'ssil', '씸'=>'ssim', '씹'=>'ssib', '씻'=>'ssis',
		'씽'=>'ssing', '아'=>'a', '악'=>'ag', '안'=>'an', '앉'=>'anj', '않'=>'anh', '알'=>'al', '앍'=>'alg',
		'앎'=>'alm', '앓'=>'alh', '암'=>'am', '압'=>'ab', '앗'=>'as', '았'=>'ass', '앙'=>'ang', '앝'=>'at',
		'앞'=>'ap', '애'=>'ae', '액'=>'aeg', '앤'=>'aen', '앨'=>'ael', '앰'=>'aem', '앱'=>'aeb', '앳'=>'aes',
		'앴'=>'aess', '앵'=>'aeng', '야'=>'ya', '약'=>'yag', '얀'=>'yan', '얄'=>'yal', '얇'=>'yalb', '얌'=>'yam',
		'얍'=>'yab', '얏'=>'yas', '양'=>'yang', '얕'=>'yat', '얗'=>'yah', '얘'=>'yae', '얜'=>'yaen', '얠'=>'yael',
		'얩'=>'yaeb', '어'=>'eo', '억'=>'eog', '언'=>'eon', '얹'=>'eonj', '얻'=>'eod', '얼'=>'eol', '얽'=>'eolg',
		'얾'=>'eolm', '엄'=>'eom', '업'=>'eob', '없'=>'eobs', '엇'=>'eos', '었'=>'eoss', '엉'=>'eong', '엊'=>'eoj',
		'엌'=>'eok', '엎'=>'eop', '에'=>'e', '엑'=>'eg', '엔'=>'en', '엘'=>'el', '엠'=>'em', '엡'=>'eb',
		'엣'=>'es', '엥'=>'eng', '여'=>'yeo', '역'=>'yeog', '엮'=>'yeogg', '연'=>'yeon', '열'=>'yeol', '엶'=>'yeolm',
		'엷'=>'yeolb', '염'=>'yeom', '엽'=>'yeob', '엾'=>'yeobs', '엿'=>'yeos', '였'=>'yeoss', '영'=>'yeong', '옅'=>'yeot',
		'옆'=>'yeop', '옇'=>'yeoh', '예'=>'ye', '옌'=>'yen', '옐'=>'yel', '옘'=>'yem', '옙'=>'yeb', '옛'=>'yes',
		'옜'=>'yess', '오'=>'o', '옥'=>'og', '온'=>'on', '올'=>'ol', '옭'=>'olg', '옮'=>'olm', '옰'=>'ols',
		'옳'=>'olh', '옴'=>'om', '옵'=>'ob', '옷'=>'os', '옹'=>'ong', '옻'=>'och', '와'=>'wa', '왁'=>'wag',
		'완'=>'wan', '왈'=>'wal', '왐'=>'wam', '왑'=>'wab', '왓'=>'was', '왔'=>'wass', '왕'=>'wang', '왜'=>'wae',
		'왝'=>'waeg', '왠'=>'waen', '왬'=>'waem', '왯'=>'waes', '왱'=>'waeng', '외'=>'oe', '왹'=>'oeg', '왼'=>'oen',
		'욀'=>'oel', '욈'=>'oem', '욉'=>'oeb', '욋'=>'oes', '욍'=>'oeng', '요'=>'yo', '욕'=>'yog', '욘'=>'yon',
		'욜'=>'yol', '욤'=>'yom', '욥'=>'yob', '욧'=>'yos', '용'=>'yong', '우'=>'u', '욱'=>'ug', '운'=>'un',
		'울'=>'ul', '욹'=>'ulg', '욺'=>'ulm', '움'=>'um', '웁'=>'ub', '웃'=>'us', '웅'=>'ung', '워'=>'wo',
		'웍'=>'wog', '원'=>'won', '월'=>'wol', '웜'=>'wom', '웝'=>'wob', '웠'=>'woss', '웡'=>'wong', '웨'=>'we',
		'웩'=>'weg', '웬'=>'wen', '웰'=>'wel', '웸'=>'wem', '웹'=>'web', '웽'=>'weng', '위'=>'wi', '윅'=>'wig',
		'윈'=>'win', '윌'=>'wil', '윔'=>'wim', '윕'=>'wib', '윗'=>'wis', '윙'=>'wing', '유'=>'yu', '육'=>'yug',
		'윤'=>'yun', '율'=>'yul', '윰'=>'yum', '윱'=>'yub', '윳'=>'yus', '융'=>'yung', '윷'=>'yuch', '으'=>'eu',
		'윽'=>'eug', '은'=>'eun', '을'=>'eul', '읊'=>'eulp', '음'=>'eum', '읍'=>'eub', '읏'=>'eus', '응'=>'eung',
		'읒'=>'euj', '읓'=>'euch', '읔'=>'euk', '읕'=>'eut', '읖'=>'eup', '읗'=>'euh', '의'=>'ui', '읜'=>'uin',
		'읠'=>'uil', '읨'=>'uim', '읫'=>'uis', '이'=>'i', '익'=>'ig', '인'=>'in', '일'=>'il', '읽'=>'ilg',
		'읾'=>'ilm', '잃'=>'ilh', '임'=>'im', '입'=>'ib', '잇'=>'is', '있'=>'iss', '잉'=>'ing', '잊'=>'ij',
		'잎'=>'ip', '자'=>'ja', '작'=>'jag', '잔'=>'jan', '잖'=>'janh', '잗'=>'jad', '잘'=>'jal', '잚'=>'jalm',
		'잠'=>'jam', '잡'=>'jab', '잣'=>'jas', '잤'=>'jass', '장'=>'jang', '잦'=>'jaj', '재'=>'jae', '잭'=>'jaeg',
		'잰'=>'jaen', '잴'=>'jael', '잼'=>'jaem', '잽'=>'jaeb', '잿'=>'jaes', '쟀'=>'jaess', '쟁'=>'jaeng', '쟈'=>'jya',
		'쟉'=>'jyag', '쟌'=>'jyan', '쟎'=>'jyanh', '쟐'=>'jyal', '쟘'=>'jyam', '쟝'=>'jyang', '쟤'=>'jyae', '쟨'=>'jyaen',
		'쟬'=>'jyael', '저'=>'jeo', '적'=>'jeog', '전'=>'jeon', '절'=>'jeol', '젊'=>'jeolm', '점'=>'jeom', '접'=>'jeob',
		'젓'=>'jeos', '정'=>'jeong', '젖'=>'jeoj', '제'=>'je', '젝'=>'jeg', '젠'=>'jen', '젤'=>'jel', '젬'=>'jem',
		'젭'=>'jeb', '젯'=>'jes', '젱'=>'jeng', '져'=>'jyeo', '젼'=>'jyeon', '졀'=>'jyeol', '졈'=>'jyeom', '졉'=>'jyeob',
		'졌'=>'jyeoss', '졍'=>'jyeong', '졔'=>'jye', '조'=>'jo', '족'=>'jog', '존'=>'jon', '졸'=>'jol', '졺'=>'jolm',
		'좀'=>'jom', '좁'=>'job', '좃'=>'jos', '종'=>'jong', '좆'=>'joj', '좇'=>'joch', '좋'=>'joh', '좌'=>'jwa',
		'좍'=>'jwag', '좔'=>'jwal', '좝'=>'jwab', '좟'=>'jwas', '좡'=>'jwang', '좨'=>'jwae', '좼'=>'jwaess', '좽'=>'jwaeng',
		'죄'=>'joe', '죈'=>'joen', '죌'=>'joel', '죔'=>'joem', '죕'=>'joeb', '죗'=>'joes', '죙'=>'joeng', '죠'=>'jyo',
		'죡'=>'jyog', '죤'=>'jyon', '죵'=>'jyong', '주'=>'ju', '죽'=>'jug', '준'=>'jun', '줄'=>'jul', '줅'=>'julg',
		'줆'=>'julm', '줌'=>'jum', '줍'=>'jub', '줏'=>'jus', '중'=>'jung', '줘'=>'jwo', '줬'=>'jwoss', '줴'=>'jwe',
		'쥐'=>'jwi', '쥑'=>'jwig', '쥔'=>'jwin', '쥘'=>'jwil', '쥠'=>'jwim', '쥡'=>'jwib', '쥣'=>'jwis', '쥬'=>'jyu',
		'쥰'=>'jyun', '쥴'=>'jyul', '쥼'=>'jyum', '즈'=>'jeu', '즉'=>'jeug', '즌'=>'jeun', '즐'=>'jeul', '즘'=>'jeum',
		'즙'=>'jeub', '즛'=>'jeus', '증'=>'jeung', '지'=>'ji', '직'=>'jig', '진'=>'jin', '짇'=>'jid', '질'=>'jil',
		'짊'=>'jilm', '짐'=>'jim', '집'=>'jib', '짓'=>'jis', '징'=>'jing', '짖'=>'jij', '짙'=>'jit', '짚'=>'jip',
		'짜'=>'jja', '짝'=>'jjag', '짠'=>'jjan', '짢'=>'jjanh', '짤'=>'jjal', '짧'=>'jjalb', '짬'=>'jjam', '짭'=>'jjab',
		'짯'=>'jjas', '짰'=>'jjass', '짱'=>'jjang', '째'=>'jjae', '짹'=>'jjaeg', '짼'=>'jjaen', '쨀'=>'jjael', '쨈'=>'jjaem',
		'쨉'=>'jjaeb', '쨋'=>'jjaes', '쨌'=>'jjaess', '쨍'=>'jjaeng', '쨔'=>'jjya', '쨘'=>'jjyan', '쨩'=>'jjyang', '쩌'=>'jjeo',
		'쩍'=>'jjeog', '쩐'=>'jjeon', '쩔'=>'jjeol', '쩜'=>'jjeom', '쩝'=>'jjeob', '쩟'=>'jjeos', '쩠'=>'jjeoss', '쩡'=>'jjeong',
		'쩨'=>'jje', '쩽'=>'jjeng', '쪄'=>'jjyeo', '쪘'=>'jjyeoss', '쪼'=>'jjo', '쪽'=>'jjog', '쫀'=>'jjon', '쫄'=>'jjol',
		'쫌'=>'jjom', '쫍'=>'jjob', '쫏'=>'jjos', '쫑'=>'jjong', '쫓'=>'jjoch', '쫘'=>'jjwa', '쫙'=>'jjwag', '쫠'=>'jjwal',
		'쫬'=>'jjwass', '쫴'=>'jjwae', '쬈'=>'jjwaess', '쬐'=>'jjoe', '쬔'=>'jjoen', '쬘'=>'jjoel', '쬠'=>'jjoem', '쬡'=>'jjoeb',
		'쭁'=>'jjyong', '쭈'=>'jju', '쭉'=>'jjug', '쭌'=>'jjun', '쭐'=>'jjul', '쭘'=>'jjum', '쭙'=>'jjub', '쭝'=>'jjung',
		'쭤'=>'jjwo', '쭸'=>'jjwoss', '쭹'=>'jjwong', '쮜'=>'jjwi', '쮸'=>'jjyu', '쯔'=>'jjeu', '쯤'=>'jjeum', '쯧'=>'jjeus',
		'쯩'=>'jjeung', '찌'=>'jji', '찍'=>'jjig', '찐'=>'jjin', '찔'=>'jjil', '찜'=>'jjim', '찝'=>'jjib', '찡'=>'jjing',
		'찢'=>'jjij', '찧'=>'jjih', '차'=>'cha', '착'=>'chag', '찬'=>'chan', '찮'=>'chanh', '찰'=>'chal', '참'=>'cham',
		'찹'=>'chab', '찻'=>'chas', '찼'=>'chass', '창'=>'chang', '찾'=>'chaj', '채'=>'chae', '책'=>'chaeg', '챈'=>'chaen',
		'챌'=>'chaeh', '챔'=>'chaem', '챕'=>'chaeb', '챗'=>'chaes', '챘'=>'chaess', '챙'=>'chaeng', '챠'=>'chya', '챤'=>'chyan',
		'챦'=>'chyanh', '챨'=>'chyal', '챰'=>'chyam', '챵'=>'chyang', '처'=>'cheo', '척'=>'cheog', '천'=>'cheon', '철'=>'cheol',
		'첨'=>'cheom', '첩'=>'cheob', '첫'=>'cheos', '첬'=>'cheoss', '청'=>'cheong', '체'=>'che', '첵'=>'cheg', '첸'=>'chen',
		'첼'=>'chel', '쳄'=>'chem', '쳅'=>'cheb', '쳇'=>'ches', '쳉'=>'cheng', '쳐'=>'chyeo', '쳔'=>'chyeon', '쳤'=>'chyeoss',
		'쳬'=>'chye', '쳰'=>'chyen', '촁'=>'chyeng', '초'=>'cho', '촉'=>'chog', '촌'=>'chon', '촐'=>'chol', '촘'=>'chom',
		'촙'=>'chob', '촛'=>'chos', '총'=>'chong', '촤'=>'chwa', '촨'=>'chwan', '촬'=>'chwal', '촹'=>'chwang', '최'=>'choe',
		'쵠'=>'choen', '쵤'=>'choel', '쵬'=>'choem', '쵭'=>'choeb', '쵯'=>'choes', '쵱'=>'choeng', '쵸'=>'chyo', '춈'=>'chyom',
		'추'=>'chu', '축'=>'chug', '춘'=>'chun', '출'=>'chul', '춤'=>'chum', '춥'=>'chub', '춧'=>'chus', '충'=>'chung',
		'춰'=>'chwo', '췄'=>'chwoss', '췌'=>'chwe', '췐'=>'chwen', '취'=>'chwi', '췬'=>'chwin', '췰'=>'chwil', '췸'=>'chwim',
		'췹'=>'chwib', '췻'=>'chwis', '췽'=>'chwing', '츄'=>'chyu', '츈'=>'chyun', '츌'=>'chyul', '츔'=>'chyum', '츙'=>'chyung',
		'츠'=>'cheu', '측'=>'cheug', '츤'=>'cheun', '츨'=>'cheul', '츰'=>'cheum', '츱'=>'cheub', '츳'=>'cheus', '층'=>'cheung',
		'치'=>'chi', '칙'=>'chig', '친'=>'chin', '칟'=>'chid', '칠'=>'chil', '칡'=>'chilg', '침'=>'chim', '칩'=>'chib',
		'칫'=>'chis', '칭'=>'ching', '카'=>'ka', '칵'=>'kag', '칸'=>'kan', '칼'=>'kal', '캄'=>'kam', '캅'=>'kab',
		'캇'=>'kas', '캉'=>'kang', '캐'=>'kae', '캑'=>'kaeg', '캔'=>'kaen', '캘'=>'kael', '캠'=>'kaem', '캡'=>'kaeb',
		'캣'=>'kaes', '캤'=>'kaess', '캥'=>'kaeng', '캬'=>'kya', '캭'=>'kyag', '컁'=>'kyang', '커'=>'keo', '컥'=>'keog',
		'컨'=>'keon', '컫'=>'keod', '컬'=>'keol', '컴'=>'keom', '컵'=>'keob', '컷'=>'keos', '컸'=>'keoss', '컹'=>'keong',
		'케'=>'ke', '켁'=>'keg', '켄'=>'ken', '켈'=>'kel', '켐'=>'kem', '켑'=>'keb', '켓'=>'kes', '켕'=>'keng',
		'켜'=>'kyeo', '켠'=>'kyeon', '켤'=>'kyeol', '켬'=>'kyeom', '켭'=>'kyeob', '켯'=>'kyeos', '켰'=>'kyeoss', '켱'=>'kyeong',
		'켸'=>'kye', '코'=>'ko', '콕'=>'kog', '콘'=>'kon', '콜'=>'kol', '콤'=>'kom', '콥'=>'kob', '콧'=>'kos',
		'콩'=>'kong', '콰'=>'kwa', '콱'=>'kwag', '콴'=>'kwan', '콸'=>'kwal', '쾀'=>'kwam', '쾅'=>'kwang', '쾌'=>'kwae',
		'쾡'=>'kwaeng', '쾨'=>'koe', '쾰'=>'koel', '쿄'=>'kyo', '쿠'=>'ku', '쿡'=>'kug', '쿤'=>'kun', '쿨'=>'kul',
		'쿰'=>'kum', '쿱'=>'kub', '쿳'=>'kus', '쿵'=>'kung', '쿼'=>'kwo', '퀀'=>'kwon', '퀄'=>'kwol', '퀑'=>'kwong',
		'퀘'=>'kwe', '퀭'=>'kweng', '퀴'=>'kwi', '퀵'=>'kwig', '퀸'=>'kwin', '퀼'=>'kwil', '큄'=>'kwim', '큅'=>'kwib',
		'큇'=>'kwis', '큉'=>'kwing', '큐'=>'kyu', '큔'=>'kyun', '큘'=>'kyul', '큠'=>'kyum', '크'=>'keu', '큭'=>'keug',
		'큰'=>'keun', '클'=>'keul', '큼'=>'keum', '큽'=>'keub', '킁'=>'keung', '키'=>'ki', '킥'=>'kig', '킨'=>'kin',
		'킬'=>'kil', '킴'=>'kim', '킵'=>'kib', '킷'=>'kis', '킹'=>'king', '타'=>'ta', '탁'=>'tag', '탄'=>'tan',
		'탈'=>'tal', '탉'=>'talg', '탐'=>'tam', '탑'=>'tab', '탓'=>'tas', '탔'=>'tass', '탕'=>'tang', '태'=>'tae',
		'택'=>'taeg', '탠'=>'taen', '탤'=>'tael', '탬'=>'taem', '탭'=>'taeb', '탯'=>'taes', '탰'=>'taess', '탱'=>'taeng',
		'탸'=>'tya', '턍'=>'tyang', '터'=>'teo', '턱'=>'teog', '턴'=>'teon', '털'=>'teol', '턺'=>'teolm', '텀'=>'teom',
		'텁'=>'teob', '텃'=>'teos', '텄'=>'teoss', '텅'=>'teong', '테'=>'te', '텍'=>'teg', '텐'=>'ten', '텔'=>'tel',
		'템'=>'tem', '텝'=>'teb', '텟'=>'tes', '텡'=>'teng', '텨'=>'tyeo', '텬'=>'tyeon', '텼'=>'tyeoss', '톄'=>'tye',
		'톈'=>'tyen', '토'=>'to', '톡'=>'tog', '톤'=>'ton', '톨'=>'tol', '톰'=>'tom', '톱'=>'tob', '톳'=>'tos',
		'통'=>'tong', '톺'=>'top', '톼'=>'twa', '퇀'=>'twan', '퇘'=>'twae', '퇴'=>'toe', '퇸'=>'toen', '툇'=>'toes',
		'툉'=>'toeng', '툐'=>'tyo', '투'=>'tu', '툭'=>'tug', '툰'=>'tun', '툴'=>'tul', '툼'=>'tum', '툽'=>'tub',
		'툿'=>'tus', '퉁'=>'tung', '퉈'=>'two', '퉜'=>'twoss', '퉤'=>'twe', '튀'=>'twi', '튁'=>'twig', '튄'=>'twin',
		'튈'=>'twil', '튐'=>'twim', '튑'=>'twib', '튕'=>'twing', '튜'=>'tyu', '튠'=>'tyun', '튤'=>'tyul', '튬'=>'tyum',
		'튱'=>'tyung', '트'=>'teu', '특'=>'teug', '튼'=>'teun', '튿'=>'teud', '틀'=>'teul', '틂'=>'teulm', '틈'=>'teum',
		'틉'=>'teub', '틋'=>'teus', '틔'=>'tui', '틘'=>'tuin', '틜'=>'tuil', '틤'=>'tuim', '틥'=>'tuib', '티'=>'ti',
		'틱'=>'tig', '틴'=>'tin', '틸'=>'til', '팀'=>'tim', '팁'=>'tib', '팃'=>'tis', '팅'=>'ting', '파'=>'pa',
		'팍'=>'pag', '팎'=>'pagg', '판'=>'pan', '팔'=>'pal', '팖'=>'palm', '팜'=>'pam', '팝'=>'pab', '팟'=>'pas',
		'팠'=>'pass', '팡'=>'pang', '팥'=>'pat', '패'=>'pae', '팩'=>'paeg', '팬'=>'paen', '팰'=>'pael', '팸'=>'paem',
		'팹'=>'paeb', '팻'=>'paes', '팼'=>'paess', '팽'=>'paeng', '퍄'=>'pya', '퍅'=>'pyag', '퍼'=>'peo', '퍽'=>'peog',
		'펀'=>'peon', '펄'=>'peol', '펌'=>'peom', '펍'=>'peob', '펏'=>'peos', '펐'=>'peoss', '펑'=>'peong', '페'=>'pe',
		'펙'=>'peg', '펜'=>'pen', '펠'=>'pel', '펨'=>'pem', '펩'=>'peb', '펫'=>'pes', '펭'=>'peng', '펴'=>'pyeo',
		'편'=>'pyeon', '펼'=>'pyeol', '폄'=>'pyeom', '폅'=>'pyeob', '폈'=>'pyeoss', '평'=>'pyeong', '폐'=>'pye', '폘'=>'pyel',
		'폡'=>'pyeb', '폣'=>'pyes', '포'=>'po', '폭'=>'pog', '폰'=>'pon', '폴'=>'pol', '폼'=>'pom', '폽'=>'pob',
		'폿'=>'pos', '퐁'=>'pong', '퐈'=>'pwa', '퐝'=>'pwang', '푀'=>'poe', '푄'=>'poen', '표'=>'pyo', '푠'=>'pyon',
		'푤'=>'pyol', '푭'=>'pyob', '푯'=>'pyos', '푸'=>'pu', '푹'=>'pug', '푼'=>'pun', '푿'=>'pud', '풀'=>'pul',
		'풂'=>'pulm', '품'=>'pum', '풉'=>'pub', '풋'=>'pus', '풍'=>'pung', '풔'=>'pwo', '풩'=>'pwong', '퓌'=>'pwi',
		'퓐'=>'pwin', '퓔'=>'pwil', '퓜'=>'pwim', '퓟'=>'pwis', '퓨'=>'pyu', '퓬'=>'pyun', '퓰'=>'pyul', '퓸'=>'pyum',
		'퓻'=>'pyus', '퓽'=>'pyung', '프'=>'peu', '픈'=>'peun', '플'=>'peul', '픔'=>'peum', '픕'=>'peub', '픗'=>'peus',
		'피'=>'pi', '픽'=>'pig', '핀'=>'pin', '필'=>'pil', '핌'=>'pim', '핍'=>'pib', '핏'=>'pis', '핑'=>'ping',
		'하'=>'ha', '학'=>'hag', '한'=>'han', '할'=>'hal', '핥'=>'halt', '함'=>'ham', '합'=>'hab', '핫'=>'has',
		'항'=>'hang', '해'=>'hae', '핵'=>'haeg', '핸'=>'haen', '핼'=>'hael', '햄'=>'haem', '햅'=>'haeb', '햇'=>'haes',
		'했'=>'haess', '행'=>'haeng', '햐'=>'hya', '향'=>'hyang', '허'=>'heo', '헉'=>'heog', '헌'=>'heon', '헐'=>'heol',
		'헒'=>'heolm', '험'=>'heom', '헙'=>'heob', '헛'=>'heos', '헝'=>'heong', '헤'=>'he', '헥'=>'heg', '헨'=>'hen',
		'헬'=>'hel', '헴'=>'hem', '헵'=>'heb', '헷'=>'hes', '헹'=>'heng', '혀'=>'hyeo', '혁'=>'hyeog', '현'=>'hyeon',
		'혈'=>'hyeol', '혐'=>'hyeom', '협'=>'hyeob', '혓'=>'hyeos', '혔'=>'hyeoss', '형'=>'hyeong', '혜'=>'hye', '혠'=>'hyen',
		'혤'=>'hyel', '혭'=>'hyeb', '호'=>'ho', '혹'=>'hog', '혼'=>'hon', '홀'=>'hol', '홅'=>'holt', '홈'=>'hom',
		'홉'=>'hob', '홋'=>'hos', '홍'=>'hong', '홑'=>'hot', '화'=>'hwa', '확'=>'hwag', '환'=>'hwan', '활'=>'hwal',
		'홧'=>'hwas', '황'=>'hwang', '홰'=>'hwae', '홱'=>'hwaeg', '홴'=>'hwaen', '횃'=>'hwaes', '횅'=>'hwaeng', '회'=>'hoe',
		'획'=>'hoeg', '횐'=>'hoen', '횔'=>'hoel', '횝'=>'hoeb', '횟'=>'hoes', '횡'=>'hoeng', '효'=>'hyo', '횬'=>'hyon',
		'횰'=>'hyol', '횹'=>'hyob', '횻'=>'hyos', '후'=>'hu', '훅'=>'hug', '훈'=>'hun', '훌'=>'hul', '훑'=>'hult',
		'훔'=>'hum', '훗'=>'hus', '훙'=>'hung', '훠'=>'hwo', '훤'=>'hwon', '훨'=>'hwol', '훰'=>'hwom', '훵'=>'hwong',
		'훼'=>'hwe', '훽'=>'hweg', '휀'=>'hwen', '휄'=>'hwel', '휑'=>'hweng', '휘'=>'hwi', '휙'=>'hwig', '휜'=>'hwin',
		'휠'=>'hwil', '휨'=>'hwim', '휩'=>'hwib', '휫'=>'hwis', '휭'=>'hwing', '휴'=>'hyu', '휵'=>'hyug', '휸'=>'hyun',
		'휼'=>'hyul', '흄'=>'hyum', '흇'=>'hyus', '흉'=>'hyung', '흐'=>'heu', '흑'=>'heug', '흔'=>'heun', '흖'=>'heunh',
		'흗'=>'heud', '흘'=>'heul', '흙'=>'heulg', '흠'=>'heum', '흡'=>'heub', '흣'=>'heus', '흥'=>'heung', '흩'=>'heut',
		'희'=>'hui', '흰'=>'huin', '흴'=>'huil', '흼'=>'huim', '흽'=>'huib', '힁'=>'huing', '히'=>'hi', '힉'=>'hig',
		'힌'=>'hin', '힐'=>'hil', '힘'=>'him', '힙'=>'hib', '힛'=>'his', '힝'=>'hing',
	); 

	$transed =  strtr($string, $trans); // Simple map with trans table
	$transed = strtr(preg_replace('/%\w\w/', ' ', urlencode($transed)), '+', ' '); // Test with urlencode whether there is encoded string(unicode area), rolling back encoded blank
	return $transed; 
} 

add_filter('sanitize_title', 'korean_romanizer', 1);

?>
